[Overview][Types][Classes][Index] | Reference for unit 'PostScriptPrinter' (#lcl)

# TPSPen

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: postscriptprinter.pas line 109

`type TPSPen = class(TPSObject)`
`protected`
`procedure SetColor();` |  |
`procedure Setwidth();` |  |
`public`
`constructor Create;` |  |
`destructor Destroy; override;` |  |
`procedure Assign();` |  |
`property Color: TColor; [rw]` |  |
`property Pattern: TPSPattern; [rw]` |  |
`property Width: Real; [rw]` |  |
`function AsString;` |  |
`end;`

## Inheritance

`TPSPen` |  |
`TPSObject` |  |
`TObject`